#!-PERL-
# underline2italics.pl
#
# THIS FILE IS COPYRIGHT 1994 BY TELENOR RESEARCH, NORWAY
#
#                    ALL RIGHTS RESERVED.
#
# For rights granted to the public see the COPYRIGHT file
#
# Programming : Jon Stephenson von Tetzchner

# This script is part of the fm2html package.

$/ = "";		# set input record separator
$\ = "\n";		# set output record separator
$, = " ";		# set output field separator
$* = 0;			# set single line pattern matching

select( STDERR );	# all error messages go to stderr
$| = 1;			# make stderr unbuffered

$* = 0;
$/ = "";

if ( $#ARGV != 1 )
{
  print STDERR "Usage: underline2italics <infile> <outfile>";
  exit( 1 );
}

$infile = $ARGV[0];
$outfile = $ARGV[1];

open( INF, "<$infile" ) ||
  die "underline2italics: ERROR: Could not open input file \"$infile\"... exiting";
open( OUTF, ">$outfile" ) ||
  die "underline2italics: ERROR: Could not open output file \"$outfile\"... exiting";

while( <INF> )
{
  s|<U>|<I>|ig;
  s|</U>|</I>|ig;
  print OUTF;
}

close( OUTF );
close( INF );
